create table tags (
    id number(19) primary key,
    project_id number(19) references projects(id),
    text varchar2(512) not null,
    deleted number(1) default 0,

    created_at TIMESTAMP WITH TIME ZONE NOT NULL,
    deleted_at TIMESTAMP WITH TIME ZONE
);

create sequence tags_id_seq;